using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp78
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = int.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            double maxz = 0;
            for (int i = 0; i < n; i++)
            {
                double tz = 0;
                for (int j = 0; j < n; j++)
                {
                    if (p[j] >= p[i])
                        tz += p[i] / 100.0 * a[j];
                }
                if (maxz < tz)
                    maxz = tz;
            }
            Console.WriteLine(maxz);
        }
    }
}